Bug 711472 - perl-Data-Compare misses perl(Find::File::Rule) dependency
Summary: perl-Data-Compare misses perl(Find::File::Rule) dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Data-Compare
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 711462
TreeView+ depends on / blocked
 
Reported: 2011-06-07 15:14 UTC by Petr Pisar
Modified: 2011-06-21 17:44 UTC (History)
2 users (show)

Fixed In Version: perl-Data-Compare-1.22-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-21 17:22:50 UTC
Type: ---


Attachments (Terms of Use)

Description Petr Pisar 2011-06-07 15:14:30 UTC
While using Data::Compare Perl module, I get following error:

Can't locate object method "file" via package "File::Find::Rule" (perhaps you forgot to load "File::Find::Rule"?) at /usr/share/perl5/vendor_perl/Data/Compare.pm line 37.

and indeed Compare.pm contains:

sub register_plugins {
    eval 'use File::Find::Rule';
    foreach my $file (
        File::Find::Rule
            ->file()
            ->name('*.pm')
            ->in(
            map { "$_/Data/Compare/Plugins" }
            grep { -d "$_/Data/Compare/Plugins" }
            @INC
[...]

but perl(File::Find::Rule) is not required by perl-Data-Compare-1.21-7.fc16.noarch.rpm.

I propose to add perl(File::Find::Rule) to Requires set.

The same bug could present on older Fedoras too.

Comment 1 Fedora Update System 2011-06-07 20:37:46 UTC
perl-Data-Compare-1.22-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Data-Compare-1.22-1.fc14

Comment 2 Fedora Update System 2011-06-07 20:38:15 UTC
perl-Data-Compare-1.22-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Data-Compare-1.22-1.fc15

Comment 3 Fedora Update System 2011-06-09 00:05:09 UTC
Package perl-Data-Compare-1.22-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Data-Compare-1.22-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-Data-Compare-1.22-1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-06-21 17:22:44 UTC
perl-Data-Compare-1.22-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-06-21 17:44:07 UTC
perl-Data-Compare-1.22-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.